<?php

namespace SGalinski\SgMail\ViewHelpers;

/***************************************************************
 *  Copyright notice
 *
 *  (c) sgalinski Internet Services (https://www.sgalinski.de)
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Checks if a fluid variable is a standard type or not
 *
 * @package SGalinski\SgMail\ViewHelper
 */
class TypeCheckViewHelper extends AbstractViewHelper {

	/**
	 * Arguments Initialization
	 */
	public function initializeArguments() {
		parent::initializeArguments();
		$this->registerArgument('value', 'mixed', 'value to check', TRUE);
	}

	/**
	 * Returns true when the type is an array
	 * @param array $arguments
	 * @return bool
	 */
	protected static function evaluateCondition($arguments = NULL) {
		return (isset($arguments['value']) && (TRUE === is_array($arguments['value'])));
	}
}

?>